Bug 465680 - crash on "Details"
crash on "Details"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
10
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 09:52 EDT by Alexey Kuznetsov
Modified: 2013-03-13 01:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 07:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash when i tried to add new torrent (11.45 KB, text/plain)
2008-10-05 09:55 EDT, Alexey Kuznetsov
no flags Details
crash on 'Details' menu item (10.12 KB, text/plain)
2008-10-05 09:56 EDT, Alexey Kuznetsov
no flags Details
Crash on 'Details' for 1.34 (10.11 KB, text/plain)
2008-10-07 07:08 EDT, Alexey Kuznetsov
no flags Details
Cras on 'Details' for 1.34 with -O0 -g3 (9.43 KB, text/plain)
2008-10-07 07:46 EDT, Alexey Kuznetsov
no flags Details
valgrind log for 'Details' crash (241.73 KB, text/plain)
2008-12-25 12:12 EST, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2008-10-05 09:52:47 EDT
transmission crashed when i press "Details" on live torrent.
Comment 1 Alexey Kuznetsov 2008-10-05 09:55:13 EDT
Created attachment 319495 [details]
crash when i tried to add new torrent
Comment 2 Alexey Kuznetsov 2008-10-05 09:56:41 EDT
Created attachment 319496 [details]
crash on 'Details' menu item
Comment 3 Denis Leroy 2008-10-07 06:38:20 EDT
Hmm, can't reproduce. What version of transmission was this with ? Could you try with version 1.34 ?
Comment 4 Alexey Kuznetsov 2008-10-07 06:48:57 EDT
no i can't to install transmission 1.34 on fedora 9, to many dependencies.
Comment 5 Denis Leroy 2008-10-07 06:55:11 EDT
Alexey,

Can you build it from this srpm :

http://www.poolshark.org/src/transmission-1.34-1.fc9.src.rpm
Comment 6 Alexey Kuznetsov 2008-10-07 07:08:25 EDT
Created attachment 319632 [details]
Crash on 'Details' for 1.34
Comment 7 Denis Leroy 2008-10-07 07:29:29 EDT
Thanks, I'll submit a bug upstream. Not much I can do here as I don't have access to ppc hardware.

One more thing, if you have time, would be to compile the 1.34 srpm with debugging flags (do "export CFLAGS='-g3 -O0'" before calling rpmbuild). This will expose more details in the stack trace.
Comment 8 Alexey Kuznetsov 2008-10-07 07:46:42 EDT
Created attachment 319634 [details]
Cras on 'Details' for 1.34 with -O0 -g3

Of course Denis, i love to help fedora community. But look like those flags do not change anythings.
Comment 9 Charles Kerr 2008-10-23 12:09:01 EDT
Alexey: I'm not able to reproduce this, either in 1.34 or in the developement branch for 1.40.

Two suggestions:

(1) If you're comfortable with building from svn, check out a copy of the development branch @ svn://svn.m0k.org/Transmission/trunk and see if the problem persists for you there.  We're going to freeze for 1.40 soon.

(2) It looks like it's happening when trying to show the filenames for the torrent in question.  If it's a public torrent, could you mail the .torrent file to me at my transmissionbt.com address?
Comment 10 Alexey Kuznetsov 2008-10-23 15:26:52 EDT
1) 6950 works fine

2) fedora's version crash on ANY torrent, and after deleting ~/.transmission folder

probably crash depend on how i run X11, by vncserver. Try on your machine run vncserver, connect to display by vncclient and click details on any torrent.
Comment 11 Charles Kerr 2008-11-09 09:03:16 EST
If it's fixed in r6960 then upgrading to 1.40, when I suppose the fix is to upgrade to 1.40 when it's released in a week or so :)
Comment 12 Fedora Update System 2008-11-27 06:49:37 EST
transmission-1.40-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/transmission-1.40-1.fc9
Comment 13 Alexey Kuznetsov 2008-11-27 07:00:44 EST
unable to test, moved to fedora 10. sry
Comment 14 Denis Leroy 2008-11-27 07:02:59 EST
I've pushed 1.40 to FC-10 as well.
Comment 15 Fedora Update System 2008-12-02 20:20:01 EST
transmission-1.40-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update transmission'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10601
Comment 16 Fedora Update System 2008-12-08 08:07:21 EST
transmission-1.40-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Alexey Kuznetsov 2008-12-24 12:38:33 EST
when i switched back to fedora build of transmission (1.40) i got same error. probably bug related to fedora build.

[axet@mini ~]$ transmission
Xlib:  extension "RANDR" missing on display ":1.0".

(transmission:22925): GLib-GObject-CRITICAL **: g_object_get: assertion `G_IS_OBJECT (object)' failed
[axet@mini ~]$ transmission
Xlib:  extension "RANDR" missing on display ":1.0".

(transmission:23165): Gtk-WARNING **: gtktreestore.c:943: Invalid column number 29 added to iter (remember to end your list of columns with a -1)

(transmission:23165): Gtk-WARNING **: gtktreestore.c:943: Invalid column number 269091552 added to iter (remember to end your list of columns with a -1)
[axet@mini ~]$ 


(gdb) bt
#0  0x0fe7eac8 in strlen () from /lib/libc.so.6
#1  0x0fb8049c in IA__g_strdup (str=0x1 <Address 0x1 out of bounds>)
    at gstrfuncs.c:91
#2  0x0eb6de18 in value_collect_string (value=0xbfeb0d88, 
    n_collect_values=<value optimized out>, 
    collect_values=<value optimized out>, collect_flags=<value optimized out>)
    at gvaluetypes.c:292
#3  0x00586394 in gtk_tree_store_set_valist_internal (tree_store=0x10587120, 
    iter=0xbfeb0ec4, emit_signal=0xbfeb0dfc, maybe_need_sort=0xbfeb0df8, 
    var_args=0xbfeb0e74) at gtktreestore.c:948
#4  0x005886e8 in IA__gtk_tree_store_set_valist (tree_store=0x10587120, 
    iter=0xbfeb0ec4, var_args=0xbfeb0e74) at gtktreestore.c:1043
#5  0x005887dc in IA__gtk_tree_store_set (tree_store=<value optimized out>, 
    iter=<value optimized out>) at gtktreestore.c:1083
#6  0x1001ae00 in parsepath (tor=0x10199590, store=0x10587120, ret=0x0, 
    path=0x10197be0 "Fedora-10-i386-DVD/SHA1SUM", index=1, size=772)
    at file-list.c:178
#7  0x1001b9bc in file_list_set_torrent (w=0x10575300, gtor=0x10107f60)
    at file-list.c:481
#8  0x1001c9c4 in file_list_new (gtor=0x10107f60) at file-list.c:857
#9  0x10019ed8 in torrent_inspector_new (parent=0x10160508, gtor=0x10107f60)
    at details.c:1523
#10 0x10021004 in showInfoForeach (model=0x100c49f8, path=0x10576090, 
---Type <return> to continue, or q <return> to quit---
    iter=0xbfeb128c, user_data=0x100a3488) at main.c:1387
#11 0x0058155c in IA__gtk_tree_selection_selected_foreach (
    selection=0x1018ece0, func=0x10020f10 <showInfoForeach>, data=0x100a3488)
    at gtktreeselection.c:661
#12 0x1002159c in doAction (action_name=0x10102d20 "show-torrent-details", 
    user_data=0x100a3488) at main.c:1490
#13 0x10012170 in action_cb (a=0x100bd610, user_data=0x100a3488)
    at actions.c:34
#14 0x0eb4f69c in IA__g_cclosure_marshal_VOID__VOID (closure=0x10102cb0, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=0x1001213c) at gmarshal.c:77
#15 0x0eb3d438 in IA__g_closure_invoke (closure=0x10102cb0, return_value=0x0, 
    n_param_values=1, param_values=0x10102890, invocation_hint=0xbfeb148c)
    at gclosure.c:767
#16 0x0eb59d10 in signal_emit_unlocked_R (node=0x10106a78, detail=0, 
    instance=0x100bd610, emission_return=0x0, instance_and_params=0x10102890)
    at gsignal.c:3244
#17 0x0eb5b3b4 in IA__g_signal_emit_valist (instance=0x100bd610, 
    signal_id=<value optimized out>, detail=0, var_args=0xbfeb1694)
    at gsignal.c:2977
#18 0x0eb5b908 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at gsignal.c:3034
#19 0x00381b08 in _gtk_action_emit_activate (action=0x100bd610)
    at gtkaction.c:885
#20 0x00383278 in IA__gtk_action_activate (action=0x100bd610)
    at gtkaction.c:912
#21 0x0eb4f69c in IA__g_cclosure_marshal_VOID__VOID (closure=0x1016cd70, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=0x3831d0) at gmarshal.c:77
#22 0x0eb3d438 in IA__g_closure_invoke (closure=0x1016cd70, return_value=0x0, 
    n_param_values=1, param_values=0x10107e68, invocation_hint=0xbfeb180c)
    at gclosure.c:767
#23 0x0eb59d10 in signal_emit_unlocked_R (node=0x100e2120, detail=0, 
    instance=0x10168b60, emission_return=0x0, instance_and_params=0x10107e68)
    at gsignal.c:3244
#24 0x0eb5b3b4 in IA__g_signal_emit_valist (instance=0x10168b60, 
    signal_id=<value optimized out>, detail=0, var_args=0xbfeb1a14)
    at gsignal.c:2977
#25 0x0eb5b908 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3034
#26 0x005c88c4 in IA__gtk_widget_activate (widget=0x10168b60)
    at gtkwidget.c:4776
---Type <return> to continue, or q <return> to quit---
#27 0x00485978 in IA__gtk_menu_shell_activate_item (menu_shell=0x1015f490, 
    menu_item=0x10168b60, force_deactivate=<value optimized out>)
    at gtkmenushell.c:1139
#28 0x00487918 in gtk_menu_shell_button_release (widget=0x1015f490, 
    event=0x10119e18) at gtkmenushell.c:678
#29 0x0047c450 in gtk_menu_button_release (widget=0x1015f490, event=0x10119e18)
    at gtkmenu.c:2850
#30 0x00474c44 in _gtk_marshal_BOOLEAN__BOXED (closure=0x100dc250, 
    return_value=0xbfeb1c60, n_param_values=<value optimized out>, 
    param_values=0x103c01b0, invocation_hint=<value optimized out>, 
    marshal_data=0x47c320) at gtkmarshalers.c:84
#31 0x0eb3b0f8 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=0xbfeb1c60, n_param_values=2, param_values=0x103c01b0, 
    invocation_hint=0xbfeb1c4c, marshal_data=0xb4) at gclosure.c:878
#32 0x0eb3d438 in IA__g_closure_invoke (closure=0x100dc250, 
    return_value=0xbfeb1c60, n_param_values=2, param_values=0x103c01b0, 
    invocation_hint=0xbfeb1c4c) at gclosure.c:767
#33 0x0eb59910 in signal_emit_unlocked_R (node=0x100dc728, detail=0, 
    instance=0x1015f490, emission_return=0xbfeb1d88, 
    instance_and_params=0x103c01b0) at gsignal.c:3282
#34 0x0eb5b1f0 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=0, var_args=0xbfeb1e54)
    at gsignal.c:2987
---Type <return> to continue, or q <return> to quit---
#35 0x0eb5b908 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3034
#36 0x005c0284 in gtk_widget_event_internal (widget=0x1015f490, 
    event=0x10119e18) at gtkwidget.c:4745
#37 0x0046ab44 in IA__gtk_propagate_event (widget=0x1015f490, event=0x10119e18)
    at gtkmain.c:2391
#38 0x0046c694 in IA__gtk_main_do_event (event=0x10119e18) at gtkmain.c:1596
#39 0x00245cd8 in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2365
#40 0x0fb55a1c in g_main_dispatch () at gmain.c:2144
#41 IA__g_main_context_dispatch (context=0x100c4028) at gmain.c:2697
#42 0x0fb5a1e8 in g_main_context_iterate (context=0x100c4028, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2778
#43 0x0fb5a924 in IA__g_main_loop_run (loop=0x1054ce78) at gmain.c:2986
#44 0x0046cbe4 in IA__gtk_main () at gtkmain.c:1200
#45 0x1001e698 in main (argc=1, argv=0xbfeb24d4) at main.c:498
(gdb)
Comment 18 Alexey Kuznetsov 2008-12-24 14:34:44 EST
i tried to build tramsmission-1.40.tar.bz2 without any fedora paches, and bug gone!
Comment 19 Alexey Kuznetsov 2008-12-25 08:18:19 EST
i tried to disable fedora paches one by one in spec file:

%prep
%setup -q
%patch2 -p1 -b .copt
%patch3 -p1 -b .libevent


problem related to %patch2 -p1 -b .copt.

When i disable booth paches everyting works, fine, also when i disable .copt patch everyting works fine. but when i enable .copt transmission start to die on 'details dialog'.

related to pcc, can be optimization bug in gcc or..
Comment 20 Alexey Kuznetsov 2008-12-25 12:10:07 EST
... bug can be uninitialized memory usage, memory buffers overflow, or gcc bug.
Comment 21 Alexey Kuznetsov 2008-12-25 12:12:14 EST
Created attachment 327839 [details]
valgrind log for 'Details' crash
Comment 22 Alexey Kuznetsov 2008-12-25 12:25:09 EST
transmission add new torrent crash

(gdb) bt
#0  0x0fe7eac8 in strlen () from /lib/libc.so.6
#1  0x0fb8049c in IA__g_strdup (str=0x1 <Address 0x1 out of bounds>)
    at gstrfuncs.c:91
#2  0x0eb6de18 in value_collect_string (value=0xbff2cc18, 
    n_collect_values=<value optimized out>, 
    collect_values=<value optimized out>, collect_flags=<value optimized out>)
    at gvaluetypes.c:292
#3  0x00586394 in gtk_tree_store_set_valist_internal (tree_store=0x10659398, 
    iter=0xbff2cd54, emit_signal=0xbff2cc8c, maybe_need_sort=0xbff2cc88, 
    var_args=0xbff2cd04) at gtktreestore.c:948
#4  0x005886e8 in IA__gtk_tree_store_set_valist (tree_store=0x10659398, 
    iter=0xbff2cd54, var_args=0xbff2cd04) at gtktreestore.c:1043
#5  0x005887dc in IA__gtk_tree_store_set (tree_store=<value optimized out>, 
    iter=<value optimized out>) at gtktreestore.c:1083
#6  0x1001ae00 in parsepath (tor=0x106f6f48, store=0x10659398, ret=0xbff2cdd4, 
    path=0x106b7fa8 "�\222ладими�\200 �\222�\213�\201о�\206кий. �\237олна�\217 коллек�\206и�\217 (RMG)/Том I. �\222�\213�\201о�\206кий на �\234елодии", index=0, size=0) at file-list.c:178
#7  0x1001ab60 in parsepath (tor=0x106f6f48, store=0x10659398, ret=0xbff2ce64, 
    path=0x101e7758 "�\222ладими�\200 �\222�\213�\201о�\206кий. �\237олна�\217 коллек�\206и�\217 (RMG)/Том I. �\222�\213�\201о�\206кий на �\234елодии/Ча�\201�\202�\214 1. �\235а кон�\206е�\200�\202а�\205", index=0, size=4714812) at file-list.c:127
---Type <return> to continue, or q <return> to quit---
#8  0x1001ab60 in parsepath (tor=0x106f6f48, store=0x10659398, ret=0xbff2cef4, 
    path=0x106fc9d8 "�\222ладими�\200 �\222�\213�\201о�\206кий. �\237олна�\217 коллек�\206и�\217 (RMG)/Том I. �\222�\213�\201о�\206кий на �\234елодии/Ча�\201�\202�\214 1. �\235а кон�\206е�\200�\202а�\205/01-Sentimentalniy boksyor", index=0, size=4714812) at file-list.c:127
#9  0x1001ab60 in parsepath (tor=0x106f6f48, store=0x10659398, ret=0x0, 
    path=0x106c7890 "�\222ладими�\200 �\222�\213�\201о�\206кий. �\237олна�\217 коллек�\206и�\217 (RMG)/Том I. �\222�\213�\201о�\206кий на �\234елодии/Ча�\201�\202�\214 1. �\235а кон�\206е�\200�\202а�\205/01-Sentimentalniy boksyor/01-Bratskie mogi"..., index=0, size=4714812)
    at file-list.c:127
#10 0x1001b9bc in file_list_set_torrent (w=0x10659e00, gtor=0x101260b0)
    at file-list.c:481
#11 0x10012edc in updateTorrent (o=0x1069f6a0) at add-dialog.c:147
#12 0x10013100 in sourceChanged (b=0x10665830, gdata=0x1069f6a0)
    at add-dialog.c:196
#13 0x0eb4f69c in IA__g_cclosure_marshal_VOID__VOID (closure=0x100e2b20, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=0x10012ef4) at gmarshal.c:77
#14 0x0eb3d438 in IA__g_closure_invoke (closure=0x100e2b20, return_value=0x0, 
    n_param_values=1, param_values=0x1011b500, invocation_hint=0xbff2d13c)
    at gclosure.c:767
---Type <return> to continue, or q <return> to quit---
#15 0x0eb59d10 in signal_emit_unlocked_R (node=0x10659698, detail=0, 
    instance=0x10665830, emission_return=0x0, instance_and_params=0x1011b500)
    at gsignal.c:3244
#16 0x0eb5b3b4 in IA__g_signal_emit_valist (instance=0x10665830, 
    signal_id=<value optimized out>, detail=0, var_args=0xbff2d340)
    at gsignal.c:2977
#17 0x0eb5b6f0 in IA__g_signal_emit_by_name (instance=0x10665830, 
    detailed_signal=0x699244 "selection-changed") at gsignal.c:3071
#18 0x003fb5c8 in dialog_selection_changed_cb (dialog=<value optimized out>, 
    user_data=0x10665830) at gtkfilechooserbutton.c:2575
#19 0x0eb4f69c in IA__g_cclosure_marshal_VOID__VOID (closure=0x106b7790, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=0x3fb580) at gmarshal.c:77
#20 0x0eb3d438 in IA__g_closure_invoke (closure=0x106b7790, return_value=0x0, 
    n_param_values=1, param_values=0x10120478, invocation_hint=0xbff2d4dc)
    at gclosure.c:767
#21 0x0eb59d10 in signal_emit_unlocked_R (node=0x10659698, detail=0, 
    instance=0x10669800, emission_return=0x0, instance_and_params=0x10120478)
    at gsignal.c:3244
#22 0x0eb5b3b4 in IA__g_signal_emit_valist (instance=0x10669800, 
    signal_id=<value optimized out>, detail=0, var_args=0xbff2d6e0)
    at gsignal.c:2977
---Type <return> to continue, or q <return> to quit---
#23 0x0eb5b6f0 in IA__g_signal_emit_by_name (instance=0x10669800, 
    detailed_signal=0x699244 "selection-changed") at gsignal.c:3071
#24 0x004121e0 in delegate_selection_changed (chooser=<value optimized out>, 
    data=<value optimized out>) at gtkfilechooserutils.c:330
#25 0x0eb4f69c in IA__g_cclosure_marshal_VOID__VOID (closure=0x106b7690, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=0x4121b0) at gmarshal.c:77
#26 0x0eb3d438 in IA__g_closure_invoke (closure=0x106b7690, return_value=0x0, 
    n_param_values=1, param_values=0x10120460, invocation_hint=0xbff2d87c)
    at gclosure.c:767
#27 0x0eb59d10 in signal_emit_unlocked_R (node=0x10659698, detail=0, 
    instance=0x101198b8, emission_return=0x0, instance_and_params=0x10120460)
    at gsignal.c:3244
#28 0x0eb5b3b4 in IA__g_signal_emit_valist (instance=0x101198b8, 
    signal_id=<value optimized out>, detail=0, var_args=0xbff2da80)
    at gsignal.c:2977
#29 0x0eb5b6f0 in IA__g_signal_emit_by_name (instance=0x101198b8, 
    detailed_signal=0x699244 "selection-changed") at gsignal.c:3071
#30 0x004121e0 in delegate_selection_changed (chooser=<value optimized out>, 
    data=<value optimized out>) at gtkfilechooserutils.c:330
#31 0x0eb4f69c in IA__g_cclosure_marshal_VOID__VOID (closure=0x106b5718, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=0x4121b0) at gmarshal.c:77
#32 0x0eb3d438 in IA__g_closure_invoke (closure=0x106b5718, return_value=0x0, 
    n_param_values=1, param_values=0x10120448, invocation_hint=0xbff2dc1c)
    at gclosure.c:767
#33 0x0eb59d10 in signal_emit_unlocked_R (node=0x10659698, detail=0, 
    instance=0x1066d0a0, emission_return=0x0, instance_and_params=0x10120448)
    at gsignal.c:3244
#34 0x0eb5b3b4 in IA__g_signal_emit_valist (instance=0x1066d0a0, 
    signal_id=<value optimized out>, detail=0, var_args=0xbff2de20)
    at gsignal.c:2977
#35 0x0eb5b6f0 in IA__g_signal_emit_by_name (instance=0x1066d0a0, 
    detailed_signal=0x699244 "selection-changed") at gsignal.c:3071
#36 0x004015c8 in update_current_folder_get_info_cb (cancellable=0x10107990, 
    info=0x10120368, error=0x106d9430, user_data=0x106b9ab8)
    at gtkfilechooserdefault.c:6956
#37 0x004147e0 in query_info_callback (source_object=<value optimized out>, 
    result=<value optimized out>, user_data=0x100e2a68) at gtkfilesystem.c:775
#38 0x0008a580 in IA__g_simple_async_result_complete (
    simple=<value optimized out>) at gsimpleasyncresult.c:554
#39 0x0008a5b0 in complete_in_idle_cb (data=<value optimized out>)
    at gsimpleasyncresult.c:564
#40 0x0fb52d54 in g_idle_dispatch (source=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    callback=<value optimized out>, user_data=<value optimized out>)
    at gmain.c:4235
#41 0x0fb55a1c in g_main_dispatch () at gmain.c:2144
#42 IA__g_main_context_dispatch (context=0x100c4028) at gmain.c:2697
#43 0x0fb5a1e8 in g_main_context_iterate (context=0x100c4028, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2778
#44 0x0fb5a924 in IA__g_main_loop_run (loop=0x10634c98) at gmain.c:2986
#45 0x0046cbe4 in IA__gtk_main () at gtkmain.c:1200
#46 0x1001e698 in main (argc=1, argv=0xbff2e4c4) at main.c:498
(gdb)
Comment 23 Fedora Admin XMLRPC Client 2009-06-03 04:28:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Rahul Sundaram 2009-06-03 07:33:39 EDT
I just took over this package. Reporter, can you confirm whether you are still facing this issue? I can build you the latest upstream release for Fedora 10 if you want to verify.
Comment 25 Alexey Kuznetsov 2009-06-03 07:45:40 EDT
i have switched to f11 already, please check transmission by valgrid, if it do not find any leaks i expect problem was gone.
Comment 26 Rahul Sundaram 2009-06-03 07:52:04 EDT
In that case, the latest upstream release - 1.61 has now been built as an update for Fedora 11. I am going to close this as fixed. If you see any issues, feel free to reopen or file a new bug report. 

Thanks for all your feedback.

Note You need to log in before you can comment on or make changes to this bug.